| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
GTK
GTK.ProgressBar

Methods
create()
get_activity_blocks()
get_activity_dir()
get_activity_pos()
get_activity_step()
get_bar_style()
get_blocks()
get_orientation()
set_activity_blocks()
set_activity_step()
set_bar_style()
set_discrete_blocks()
set_orientation()
update()

GTK.ProgressBar()->get_bar_style() | GTK.ProgressBar()->get_orientation()

# Method GTK.ProgressBar()->get_blocks()

Method get_blocks

  `int get_blocks()`

Description

  The total number of blocks.